Bug 239070

Summary: textproc/py-markdown: Update to 3.3.4
Product: Ports & Packages Reporter: Alexander Sieg <ports>
Component: Individual Port(s)Assignee: Neel Chauhan <nc>
Status: Closed FIXED    
Severity: Affects Only Me CC: FreeBSD, andreas, arved, lwhsu, nc, sunpoet, swills, ygy
Priority: --- Flags: koobs: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://python-markdown.github.io/change_log/
See Also: https://reviews.freebsd.org/D29803
Bug Depends on: 255278, 255281    
Bug Blocks: 248886    
Attachments:
Description Flags
patch
none
Update to 3.3.4 koobs: maintainer-approval+

Description Alexander Sieg 2019-07-09 18:30:36 UTC
Created attachment 205608 [details]
patch

Update to 3.1.1

portlint OK (looks fine.)
poudriere OK (12amd64)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-18 01:24:08 UTC
3.2 dropped support for Python 2.x:

https://python-markdown.github.io/change_log/release-3.2/

This needs additional QA, in particular for dependents/consumers of Markdown, and potentially a markdown2 port (copied from the current version)
Comment 2 Tilman Keskinoz freebsd_committer 2020-05-26 21:25:44 UTC
If updating to 3.2 is too complicated because of python2, maybe updating to 3.1 is possible?

A port update of mine depends on markdown > 3.0.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-05-27 01:28:45 UTC
(In reply to Tilman Keskinoz from comment #2)

Thanks for the heads-up Tilman

What port has your markdown > 3.0 dependency? I'll include it during QA
Comment 4 Andreas Bilke 2020-08-24 17:58:30 UTC
(In reply to Kubilay Kocak from comment #3)

www/py-pelican needs officially markdown > 3 (but it's not mentioned correctly within the Makefile).
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-09-14 02:50:13 UTC
To clarify QA requirements:

markdown ports consumers need to be audited for version compatibility (and *_DEPENDS <version-spec> correctness), to determine whether markdown2 is necessary/warranted

I'd appreciate any assistance, but will otherwise seek to run/complete QA and report here
Comment 6 Andreas Bilke 2020-11-22 08:47:29 UTC
(In reply to Kubilay Kocak from comment #5)

I am fairly new to this process, but can you help me and tell me how I can be useful in speed up the QA process?

Do one need to go through all packages with markdown dependencies and check manually if they rely on markdown3 or markdown2?

What happens if changes need to be done on the port? Do we need to post a patch here, or do we need an own bug report and link them with this issue here?
Comment 7 Andreas Bilke 2021-02-21 08:50:43 UTC
(In reply to Kubilay Kocak from comment #5)

I tried to figure out which ports depends on python-markdown and see if they support python-markdown > 3.

Here is my result

====
net-mgmt/netbox, OK (see https://github.com/netbox-community/netbox/blob/v2.10.4/requirements.txt)
deskutils/calibre, DONT KNOW (no explicit version dependency found, https://github.com/kovidgoyal/calibre)
audio/lv2, DONT KNOW (but only for Doxygen functionality)
games/wxlauncher, PROBABLY OK (Not mentioned explicitly, but referes to Debian package, which is > 3, https://github.com/scp-fs2open/wxLauncher/blob/release-0.10.0/ReadMe.md)
www/py-flask-flatpages, DONT KNOW (no explicit version found, https://github.com/Flask-FlatPages/Flask-FlatPages/blob/v0.6/setup.cfg)
www/py-grip, MAYBE, requieres > 2.5.1 (https://github.com/joeyespo/grip/blob/v4.5.2/requirements.txt)
www/py-pelican, OK (T#248886)
www/py-django-markdownx, DONT KNOW (no explicit version found, https://github.com/neutronX/django-markdownx/blob/v3.0.1/requirements.txt)
textproc/py-markdown-math, DONT KNOW (no explicit version found, https://github.com/mitya57/python-markdown-math/tree/0.6)
textproc/py-mkdocs -> MAYBE, requires >= 2.3.1, BUT recent version requires >= 3.2.1 (https://github.com/mkdocs/mkdocs/blob/1.1.2/setup.py)
textproc/retext, DONT KNOW, no explicit version dependency found, BUT recent version requieres >= 3.0 (https://github.com/retext-project/retext/blob/7.2.0/setup.py)
devel/py-cmdtest, DONT KNOW (no explicit version dependency found http://git.liw.fi/cmdtest/tree/setup.py)
devel/py-cheetah3, reuquieres >= 2.0.1 < 3.2 (https://github.com/CheetahTemplate3/cheetah3/blob/3.2.6/tox.ini)
devel/py-mdv, DONT KNOW (no explicit version dependency found, https://github.com/axiros/terminal_markdown_viewer)
net/py-errbot, REQUIRE markdown < 3.0 
net/samba413, DONT KNOW
net/samba412, DONT KNOW
net/samba411, DONT KNOW
biology/py-multiqc, MAYBE, enforces < 3.2 for python < 3.6 installs (https://github.com/ewels/MultiQC/blob/v1.9/setup.py)
====

Is this of any use for you? What would be the next steps? Try each of that port with python-markdow > 3?
Comment 8 Li-Wen Hsu freebsd_committer 2021-04-17 11:24:57 UTC
Patch for updating to 3.3.4: https://reviews.freebsd.org/D29803
Comment 9 Li-Wen Hsu freebsd_committer 2021-04-17 11:30:21 UTC
If we still cannot verify all the ports can live with textproc/py-markdown verion 3, since it's blocking other issues, I suggest we backup version 2 to textproc/py-markdown2 or adding version3 as textproc/py-markdown3.

Keeping existing things working is important, but making progress and not blocking new things is also the same important.
Comment 10 Neel Chauhan freebsd_committer 2021-04-20 17:24:47 UTC
(In reply to Andreas Bilke from comment #7)

For these ports:

devel/py-cheetah3 - can easily be patched. Older py-markdown is required mainly for Python 2 support: https://github.com/CheetahTemplate3/cheetah3/commit/35571a00395c4ef937a08ae5a3686700a53bd1d1#diff-ef2cef9f88b4fe09ca3082140e67f5ad34fb65fb6e228f119d3812261ae51449

net/py-errbot - can be updated which supports py-markdown 3.3+: https://github.com/errbotio/errbot/blob/6.1.7/setup.py

Therefore, I propose patching devel/py-cheetah3 and updating net/py-errbot
Comment 11 Neel Chauhan freebsd_committer 2021-04-20 18:54:14 UTC
Created attachment 224306 [details]
Update to 3.3.4

Update to 3.3.4 based on https://reviews.freebsd.org/D29803.
Comment 12 Neel Chauhan freebsd_committer 2021-04-26 03:34:27 UTC
All the ports I know of which depended on an earlier py-markdown version have been updated, so it should be safe to commit this port update.
Comment 13 Neel Chauhan freebsd_committer 2021-05-04 20:23:15 UTC
Maintainer timeout?

I believe koobs@ hasn't responded. I believe all dependent ports got updated to accommodate the new version of py-markdown.
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-05 02:21:51 UTC
Comment on attachment 224306 [details]
Update to 3.3.4

If this passes QA (testsuite and reverse dependents in particular)

Approved by: koobs (maintainer)
MFH: No (backward incompatible)
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-05 02:22:25 UTC
@Neel Free to land this if it passes QA
Comment 16 Neel Chauhan freebsd_committer 2021-05-05 22:52:22 UTC
This has been committed as: d9cf7e20fe3dbf481ec207ef6809f2f2017a8281

https://cgit.freebsd.org/ports/commit/?id=d9cf7e20fe3dbf481ec207ef6809f2f2017a8281

I forgot to mention PR:, sorry.
Comment 17 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-06 00:49:16 UTC
^Triage: Assign to committer that resolved.

@Neel Thank you for landing this, and feel free to self-assign issues you resolve